btllib

Static Public Attributes | List of all members
btllib::Indexlr::Flag Struct Reference

## Static Public Attributes
static const unsigned | NO_ID = 1
static const unsigned | BX = 2
static const unsigned | SEQ = 4
static const unsigned | FILTER_IN = 8
static const unsigned | FILTER_OUT = 16
static const unsigned | SHORT_MODE = 32
static const unsigned | LONG_MODE = 64

## Member Data Documentation

## ◆ BX

const unsigned btllib::Indexlr::Flag::BX = 2
| static

Include barcode along with minimizer information.

## ◆ FILTER_IN

const unsigned btllib::Indexlr::Flag::FILTER_IN = 8
| static

Only include minimizers found in the first Bloom filter argument.

## ◆ FILTER_OUT

const unsigned btllib::Indexlr::Flag::FILTER_OUT = 16
| static

Filter out minimizers found in a Bloom filter argument. If FILTER_IN is NOT enabled, then use the first Bloom filter argument. If both FILTER_IN and FILTER_OUT flags are enabled, FILTER_IN uses the first Bloom filter argument and FILTER_OUT uses the second.

## ◆ LONG_MODE

const unsigned btllib::Indexlr::Flag::LONG_MODE = 64
| static

Optimizes performance for long sequences (approx. >5kbp)

## ◆ NO_ID

const unsigned btllib::Indexlr::Flag::NO_ID = 1
| static

Do not include read ID information. May improve performance.

## ◆ SEQ

const unsigned btllib::Indexlr::Flag::SEQ = 4
| static

Include read sequence along with minimizer information.

## ◆ SHORT_MODE

const unsigned btllib::Indexlr::Flag::SHORT_MODE = 32
| static

Optimizes performance for short sequences (approx. <=5kbp)

The documentation for this struct was generated from the following file:

- include/btllib/indexlr.hpp